Summary: LIVE555 Streaming Media
Name: live
Version: 2009.07.09
Release: 14%{?dist}
URL: http://www.live555.com/liveMedia/
Source0: http://www.live555.com/liveMedia/public/live.%{version}.tar.gz
License: LGPLv2
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++, perl

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP).

%package devel
Summary: LIVE555 Streaming Media Development Tools
Group: Development/Libraries
Requires: live = %{version}-%{release}

%description devel
Development tools for the LIVE555 Streaming Media libraries.

%package utils
Summary: LIVE555 Streaming Media Utilities
Group: Development/Libraries
Requires: live = %{version}-%{release}

%description utils
A set of test programs for the LIVE555 Streaming Media libraries.

%prep
%setup0 -q -n live
find . -type f | xargs perl -pi -e's,strstream.h,strstream,'
perl -pi -e's|(COMPILE_OPTS.*)|$1 %{optflags} -fPIC|' config.linux

%build
./genMakefiles linux
make

%install
rm -rf %{buildroot}

for f in liveMedia UsageEnvironment groupsock BasicUsageEnvironment
do
	mkdir -p %{buildroot}%{_libdir}/live/$f/include
	cp $f/lib$f.a %{buildroot}%{_libdir}/live/$f
	cp $f/include/*.h* %{buildroot}%{_libdir}/live/$f/include
done

mkdir -p %{buildroot}%{_bindir}

for file in testMP3Streamer testMP3Receiver testRelay testMPEG1or2Splitter \
  testMPEG1or2VideoStreamer testMPEG1or2VideoReceiver testMPEG1or2AudioVideoStreamer \
  testMPEG4VideoStreamer testWAVAudioStreamer testAMRAudioStreamer \
  testOnDemandRTSPServer vobStreamer openRTSP playSIP sapWatch
do
  install -p testProgs/$file %{buildroot}%{_bindir}/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README

%files devel
%defattr(-,root,root,-)
%{_libdir}/live

%files utils
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sun Apr 19 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 2009.04.07-12
- Update to 2009.04.07.

* Tue May 27 2008 Paulo Roma <roma@lcg.ufrj.br> 2008.05.12-11
- Update to 2008.05.12

* Sun Apr 20 2008 Paulo Roma <roma@lcg.ufrj.br> 2008.04.09-11
- Update to 2008.04.09

* Sat Feb 02 2008 Paulo Roma <roma@lcg.ufrj.br> 2008.01.19-11
- Update to 2008.01.19

* Wed Oct 17 2007 Paulo Roma <roma@lcg.ufrj.br> 2007.08.03a-11
- Stripped libraries break mplayer build. Undoing.

* Sat Oct 13 2007 Paulo Roma <roma@lcg.ufrj.br> 2007.08.03a-10
- Update to 2007.08.03a.
- Changed license to LGPLv2.
- Stripped static libraries.

* Tue Feb 21 2007 Paulo Roma <roma@lcg.ufrj.br> 2007.05.24-9
- Update to 2007.05.24.

* Tue Feb 21 2007 Paulo Roma <roma@lcg.ufrj.br> 2007.02.20-9
- Update to 2007.02.20.

* Sun Jan  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2006.01.05.

* Fri Oct  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2004.09.30.

* Sun Apr 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 2004.04.09.

* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 2003.10.07.

* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rebuilt for Red Hat 9.

* Thu Jan 23 2003 Jeffrey C. Ollie <jcollie@pc04771.dmacc.cc.ia.us>
- Updated to 2003.01.17
- Added test utilities
- Reorganized and formed into subpackages
- Patched to remove deprecated header warnings
- Patched makefiles to use RPM optimization flags

* Mon Aug 12 2002 Jeffrey C. Ollie <jcollie@pc04771.dmacc.cc.ia.us>
- Initial build.

